This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 880113 - [ALL LANG][SAM CLI] undefined method `with_indifferent_access' for #<Array:0x7f9a1164f0e8> occurred when --add_subscription or --remove_subscription with blank or invalid ?? value for activation_key update module.
[ALL LANG][SAM CLI] undefined method `with_indifferent_access' for #<Array:0x...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Jordan OMara
SAM QE List
: i18n
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-26 04:48 EST by Lijun Li
Modified: 2014-11-09 17:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:20:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lijun Li 2012-11-26 04:48:49 EST
Description of problem:
undefined method `with_indifferent_access' for #<Array:0x7f9a1164f0e8> occurred when --add_subscription with blank value for activation_key update module.

Version-Release number of selected component (if applicable):
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
100%

Steps to Reproduce:
# headpin -u admin -p admin activation_key update --name=test --org=test --new_name=test --environment=test --description=test --add_subscription=
undefined method `with_indifferent_access' for #<Array:0x7f9a1164f0e8>
[root@i18nsamtest ~]# headpin -u admin -p admin activation_key update --name=test --org=test --new_name=test --environment=test --description=test --add_subscription=??
undefined method `with_indifferent_access' for #<Array:0x7f304c1ff2b0>
^^^^^^Unexpected message.
  
Actual results:
undefined method `with_indifferent_access' for #<Array:0x7f9a1164f0e8> occurred when --add_subscription with blank value for activation_key update module.

Expected results:
Should have a nomal Validation message.

Additional info:
Comment 1 Lijun Li 2012-11-26 05:17:21 EST
# headpin -u admin -p admin activation_key update --name=test --org=test --new_name=test --environment=test --description=test --remove_subscription=??
undefined method `with_indifferent_access' for #<Array:0x7f9a117cfa08>
Comment 2 Jordan OMara 2012-12-13 11:12:28 EST
https://github.com/Katello/katello/pull/1235
Comment 5 Tazim Kolhar 2012-12-24 00:54:21 EST
VERIFIED :

# rpm -qa | grep katello
katello-glue-candlepin-1.2.1-10h.el6_3.noarch
katello-cli-common-1.2.1-11h.el6_3.noarch
katello-headpin-1.2.1-10h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.1-11h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-common-1.2.1-10h.el6_3.noarch
katello-headpin-all-1.2.1-10h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch


# headpin -u admin -p admin activation_key update --name act_key --org ACME_Corporation --new_name new_act_key --add_subscription 8a90c1bb3bcb63fd013bcb6fd9c30055
Successfully updated activation key [ new_act_key ]
Comment 7 errata-xmlrpc 2013-02-21 14:20:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.